Bug 244389 - Review Request: sugar-datastore - Sugar Datastore
Review Request: sugar-datastore - Sugar Datastore
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
Fedora Package Reviews List
:
Depends On: 244356 244357
Blocks: 244371 FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2007-06-15 08:51 EDT by Marco Pesenti Gritti
Modified: 2013-03-13 00:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-21 04:51:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
johnp: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marco Pesenti Gritti 2007-06-15 08:51:46 EDT
Spec URL: http://dev.laptop.org/~marco/sugar-datastore-0.2.1-3.git8d46929bf7.1.src.rpm
SRPM URL: http://dev.laptop.org/~marco/sugar-datastore.spec
Description:
sugar-datastore is a simple log like datastore able to connect with multiple
backends. The datastore supports connectionig and disconnecting from
backends on the fly to help the support the limit space/memory
characteristics of the OLPC system and the fact that network services
may become unavailable at times
Comment 1 Marco Pesenti Gritti 2007-06-20 05:14:56 EDT
Make it pass rpmlint, fix a few other issues:

http://dev.laptop.org/~marco/sugar-datastore-0.2.2-0.1.20070620git49f3211d34.src.rpm
http://dev.laptop.org/~marco/sugar-datastore.spec
Comment 2 John (J5) Palmieri 2007-06-20 13:54:19 EDT
- MUST: rpmlint must be run on every package. The output should be posted in the
review.
Ok
      - MUST: The package must be named according to the Package Naming Guidelines.
Ok
      - MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption on Package Naming
Guidelines.
Ok
      - MUST: The package must meet the Packaging Guidelines.

Buildroot needs to be changed to
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

      - MUST: The package must be licensed with an open-source compatible
license and meet other legal requirements as defined in the legal section of
Packaging Guidelines.

Ok (GPL) 

      - MUST: The License field in the package spec file must match the actual
license.
Ok
      - MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
Ok
      - MUST: The spec file must be written in American English.
Ok
      - MUST: The spec file for the package MUST be legible. If the reviewer is
unable to read the spec file, it will be impossible to perform a review. Fedora
is not the place for entries into the Obfuscated Code Contest
(http://www.ioccc.org/).
Ok
      - MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.
If no upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

Ok with fixes - OLPC is upstream, RPM is canonical source for packaged code
(please put a comment at the top of the spec file and a note on where the git
tree resides)

      - MUST: The package must successfully compile and build into binary rpms
on at least one supported architecture.
Ok(noarch)
      - MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed
in bugzilla, describing the reason that the package does not compile/build/work
on that architecture. The bug number should then be placed in a comment, next to
the corresponding ExcludeArch line. New packages will not have bugzilla entries
during the review process, so they should put this description in the comment
until the package is approved, then file the bugzilla entry, and replace the
long explanation with the bug number. (Extras Only) The bug should be marked as
blocking one (or more) of the following bugs to simplify tracking such issues:
FE-ExcludeArch-x86, FE-ExcludeArch-x64, FE-ExcludeArch-ppc, FE-ExcludeArch-ppc64

Ok (noarch)

      - MUST: All build dependencies must be listed in BuildRequires, except for
any that are listed in the exceptions section of Packaging Guidelines; inclusion
of those as BuildRequires is optional. Apply common sense.

Ok

      - MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
Ok (no translations)
      - MUST: Every binary RPM package which stores shared library files (not
just symlinks) in any of the dynamic linker's default paths, must call ldconfig
in %post and %postun. If the package has multiple subpackages with libraries,
each subpackage should also have a %post/%postun section that calls
/sbin/ldconfig. An example of the correct syntax for this is: 

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

Ok (No %{_libdir} libraries)
      - MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.
Ok (package not relocatable)

      - MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory. The exception to this are directories listed explicitly
in the Filesystem Hierarchy Standard
(http://www.pathname.com/fhs/pub/fhs-2.3.html), as it is safe to assume that
those directories exist.
Ok

      - MUST: A package must not contain any duplicate files in the %files listing.
Ok

      - MUST: Permissions on files must be set properly. Executables should be
set with executable permissions, for example. Every %files section must include
a %defattr(...) line.
Ok

      - MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
Ok

      - MUST: Each package must consistently use macros, as described in the
macros section of Packaging Guidelines.
Ok

      - MUST: The package must contain code, or permissable content. This is
described in detail in the code vs. content section of Packaging Guidelines.
Ok

      - MUST: Large documentation files should go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity)
Ok(no large docs)

      - MUST: If a package includes something as %doc, it must not affect the
runtime of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.
Ok

      - MUST: Header files must be in a -devel package.
Ok(No libraries)

      - MUST: Static libraries must be in a -static package.
Ok (No static libraries)

      - MUST: Packages containing pkgconfig(.pc) files must 'Requires:
pkgconfig' (for directory ownership and usability).
Ok (No pkgconfig)

      - MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in a
-devel package.
Ok (no libraries)
      - MUST: In the vast majority of cases, devel packages must require the
base package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 
Ok(No devel)
      - MUST: Packages must NOT contain any .la libtool archives, these should
be removed in the spec.
Ok (No Libraries)
      - MUST: Packages containing GUI applications must include a
%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the %install section. This is described in detail in the
desktop files section of Packaging Guidelines. If you feel that your packaged
GUI application does not need a .desktop file, you must put a comment in the
spec file with your explanation.
Ok (no .desktop file)
      - MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another package
owns, then please present that at package review time.
Ok
      - MUST: At the beginning of %install, each package MUST run rm -rf
%{buildroot} (or $RPM_BUILD_ROOT). See Prepping BuildRoot For %install for details.
Ok
      - MUST: All filenames in rpm packages must be valid UTF-8.
Ok

SHOULD Items:
      - SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to include it.
Ok. Included
     
      - SHOULD: The reviewer should test that the package builds in mock.
Ok

APPROVED with minor addition of comment that this is the upstream source package
and fixing up of the buildroot (see above for details)
Comment 3 Marco Pesenti Gritti 2007-06-20 14:47:36 EDT
New Package CVS Request
=======================
Package Name: sugar-datastore
Short Description: Sugar Datastore
Owners: mpg@redhat.com
Branches: OLPC-2
InitialCC: mpg@redhat.com
Comment 4 John (J5) Palmieri 2007-06-20 14:54:33 EDT
New Package CVS Request
=======================
Package Name: sugar-datastore
Short Description: Sugar Datastore
Owners: mpg@redhat.com, johnp@redhat.com
Branches: OLPC-2

Comment 5 Jason Tibbitts 2007-06-20 19:38:35 EDT
CVS done.
Comment 6 Marco Pesenti Gritti 2008-11-03 12:14:43 EST
Package Change Request
======================
Package Name: sugar-datastore
New Branches: F-11
Comment 7 Marco Pesenti Gritti 2008-11-03 12:59:14 EST
Package Change Request
======================
Package Name: sugar-datastore
New Branches: F-10
Comment 8 Dennis Gilmore 2008-11-03 14:01:39 EST
CVS Done
Comment 9 Tomeu Vizoso 2008-11-12 06:09:12 EST
Package Change Request
======================
Package Name: sugar-datastore
New Branches: OLPC-4
Owners: mpg erikos tomeu
Comment 10 Kevin Fenzi 2008-11-12 11:56:11 EST
cvs done.
Comment 11 Peter Robinson 2010-06-10 16:53:23 EDT
Package Change Request
======================
Package Name: sugar-datastore
New Branches: EL-6
Owners: pbrobinson sdz
Comment 12 Kevin Fenzi 2010-06-11 00:30:15 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.